libetonyek::IWORKStrokeContext Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKStrokeContext Class Reference

`#include <IWORKStrokeContext.h>`

Inheritance diagram for libetonyek::IWORKStrokeContext:

## Public Member Functions
| IWORKStrokeContext (IWORKXMLParserState &state, boost::optional< IWORKStroke > &value)
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Attributes
boost::optional< IWORKStroke > & | m_value
boost::optional< ID_t > | m_ref

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStrokeContext()

libetonyek::IWORKStrokeContext::IWORKStrokeContext | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKStroke > & | value
| ) |  |

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKStrokeContext::element | ( | int | name | ) |
| override

## ◆ endOfElement()

void libetonyek::IWORKStrokeContext::endOfElement | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_ref

boost::optional<ID_t> libetonyek::IWORKStrokeContext::m_ref
| private

Referenced by element(), and endOfElement().

## ◆ m_value

boost::optional<IWORKStroke>& libetonyek::IWORKStrokeContext::m_value
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKStrokeContext.h
- IWORKStrokeContext.cpp